# std::map<Key,T,Compare,Allocator>::empty

From cppreference.com
< cpp‎ | container‎ | map

bool empty() const; |  | (until C++11)
bool empty() const noexcept; |  | (since C++11) (until C++20)
[[nodiscard]] bool empty() const noexcept; |  | (since C++20)

Checks if the container has no elements, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the container is empty, false otherwise

### Complexity

Constant.

### Example

The following code uses `empty` to check if a std::map <int, int> contains any elements:

Run this code

    #include <map>
    #include <iostream>
    #include <utility>

    int main()
    {
        std::map<int,int> numbers;
        std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';

        numbers.emplace(42, 13);
        numbers.insert(std::make_pair(13317, 123));
        std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
    }

Output:

    Initially, numbers.empty(): 1
    After adding elements, numbers.empty(): 0

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/map/empty&oldid=50555"